Package org.gradle.api.reporting

## Interface SingleFileReport

- All Superinterfaces:
    `Configurable<Report>`, `ConfigurableReport`, `Report`
  All Known Subinterfaces:
    `CustomizableHtmlReport`

      public interface SingleFileReport
      extends ConfigurableReport

  A report that is a single file.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RegularFileProperty` | `getOutputLocation()` | The location on the filesystem to generate the report to.
    `Report.OutputType` | `getOutputType()` | Always returns `Report.OutputType.FILE`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

      `setDestination, setDestination, setEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDestination, getDisplayName, getName, getRequired, isEnabled`

- - ### Method Detail

    - #### getOutputLocation

          @OutputFile
          RegularFileProperty getOutputLocation()

      Description copied from interface: `Report`
      The location on the filesystem to generate the report to.
      Specified by:
        `getOutputLocation` in interface `Report`

    - #### getOutputType

          Report.OutputType getOutputType()

      Always returns `Report.OutputType.FILE`
      Specified by:
        `getOutputType` in interface `Report`
      Returns:
        `Report.OutputType.FILE`